Subject: Re: bug#78772: Feature request: glob-matching patterns

From: Philip Prindeville <[email-masked]>
Date: Fri, 13 Jun 2025 13:17:49 -0600

> On Jun 13, 2025, at 12:07 PM, Dale R. Worley <[email-masked]> wrote:
> 
> Philip Prindeville via Bug reports for GNU grep <[email-masked]>
> writes:
>> It might be useful to have an argument like --glob-regexp to have a
>> file containing globbing patterns to match (or exclude) against a
>> stream of filenames.
> 
> It seems to me what you want is an argument that causes grep to
> interpret patterns as shell "globs" rather than as regexps.  (Note that
> the glob language is considerably weaker than regexps, and AFAIK they
> are never called "regexps".)  So a better name would be "--glob".
> 
> I can see value in that.
> 
> Is there an unambiguous standard for globs?  I know that different
> shells do globbing somewhat differently.  Although I notice that grep
> has these options that take glob arguments, so the code in grep must
> contain a glob-matcher already, and thus a definition of glob-patterns.
> 
>       --exclude=GLOB
>       --exclude-dir=GLOB
>       --include=GLOB
> 
> Dale

Corrected. —-glob or —-glob-pattern ...

Yes, it seemed like a light lift using the globbing already included.

And POSIX globbing is fine.